import axios from "axios";


//支付
export function getPayApi(money, topPayType, payType, channelId, scene, userId) {
    // ###支付说明
    // payType:2 微信充值
    // payType:3 支付宝充值
    // channelId 渠道id(充值后台二维码type参数)
    // scene:2 东信appid标识
    // topPayType:A01 支付宝支付
    // topPayType:W06 微信支付
    // userId:   app

    //用户东信app身份
    // userId
    // userName
    // userPhone
    return axios.post('/dxtop/order/callUnifiedPay', {
        "money": money,
        "topPayType": topPayType,
        "payType": payType,
        "channelId": channelId,
        "scene": scene,
        "userId": userId
    }).then(res => {
        window.location.href = res.data.msg
    }).catch(() => {

    })
}
// 充值记录
// export function charge(startTime, endTime, current, size) {
//     return axios.post(`/dxtop/charge/page`, { "startTime": startTime, "endTime": endTime, "current": current, "size": size })
//         .then(res => {
//             return res
//         }).catch(() => {

//         })
// }
// //消费记录
// export function dish(startTime, endTime, current, size) {
//     return axios.post(`/dxtop/dish/page`, { "startTime": startTime, "endTime": endTime, "current": current, "size": size })
//         .then(res => {
//             return res
//         }).catch(() => {

//         })
// }

// //人员信息
// export function user(token) {
//     return axios.post(`/dxtop/dish/page`, { "token": token })
//         .then(res => {
//             return res
//         }).catch(() => {

//         })
// }

// export function weixin() {
//     return axios.get(`wxAccToken`, { "url": "https://qhome.usky.cn/dxapi/wxAccToken?url=https://qhome.usky.cn/dxapi/wxAccToken" })
//         .then(res => {
//             return res
//         }).catch(() => {

//         })
// }
// export function cardBalance(card) {
//     return axios.get(`/dxtop/staff/cardBalance`, { "card": 1 }, { headers: { "Authorization": window.localStorage.getItem('token') } }).then(res => {
//         console.log(res.data)
//     }).catch(err => {
//         console.log(err)
//     })
// }